Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event
Interface DirtyCheckEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultDirtyCheckEventListener

    public interface DirtyCheckEventListener

extends Serializable

Defines the contract for handling of session dirty-check events.

Author:
  Steve Ebersole

Method Summary
`void` | `onDirtyCheck(DirtyCheckEvent event)` Handle the given dirty-check event.

Method Detail

### onDirtyCheck

    void onDirtyCheck(DirtyCheckEvent event)
                      throws HibernateException

  Handle the given dirty-check event.

  Parameters:
    `event` - The dirty-check event to be handled.
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.